pam_succeed_if(8)

NAME
pam_succeed_if - succeed or fail based on account characteristics

SYNOPSIS
account sufficient pam_succeed_if.so uid < 500

DESCRIPTION
pam_succeed_if.so is designed to succeed or fail authentication based on characteristics of the account belonging to the user being authenticated.

The module can be given one or more conditions as module arguments, and authentication will succeed only if all of the conditions are met.

ARGUMENTS

debug
    Turns on debugging messages sent to syslog.

use_uid
    Evaluate conditions using the account of the user whose UID the application is running under instead of the user being authenticated.

quiet
    Don't log failure or success to the system log.

quiet_fail
    Don't log failure to the system log.

quiet_success
    Don't log success to the system log.

BUGS
Let's hope not, but if you find any, please report them via the "Bug Track" link at http://bugzilla.redhat.com/bugzilla/

AUTHOR
Nalin Dahyabhai <nalin@redhat.com>